#!/bin/sh

#
# Generate the configuration files
#
java -classpath ../lib/config.jar:../lib/config.nl1.jar:../lib/config.nl2.jar:../lib/config.nl2a.jar org.eclipse.tptp.platform.agentcontroller.config.SetConfig $*

#
# Change the owner of ChkPass so that Agent Controller does not need root access for authenticating user passwords
#
SECURED=`grep -c '<Security' ../config/serviceconfig.xml`
if [ $SECURED = "0" ]; then
	echo
else
	echo
	echo 'Agent Controller has been configured for security.'
	echo 'Please enter root password to enable that security:'
	su root -c "chown root ChkPass;chmod +s ChkPass"
fi
